Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoTexture2Transform Class Reference
[Nodes]

`#include <Inventor/nodes/SoTexture2Transform.h>`

Inheritance diagram for SoTexture2Transform:

List of all members.

## Detailed Description

The SoTexture2Transform class is used to define 2D texture transformations.

Textures applied to shapes in the scene can be transformed by "prefixing" in the state with instances of this node type. Translations, rotations and scaling in 2D can all be done.

The default settings of this node's fields equals a "null transform", ie no transformation.

See also:
  SoTexture3Transform

## Public Member Functions
| SoTexture2Transform (void)
virtual void | doAction (SoAction *action)
virtual void | callback (SoCallbackAction *action)
virtual void | GLRender (SoGLRenderAction *action)
virtual void | getMatrix (SoGetMatrixAction *action)
virtual void | pick (SoPickAction *action)
## Static Public Member Functions
void | initClass (void)
## Public Attributes
SoSFVec2f | translation
SoSFFloat | rotation
SoSFVec2f | scaleFactor
SoSFVec2f | center
## Protected Member Functions
virtual | ~SoTexture2Transform ()

## Constructor & Destructor Documentation

SoTexture2Transform::SoTexture2Transform | ( | void |  | ) |

| Constructor.

SoTexture2Transform::~SoTexture2Transform | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoTexture2Transform::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoNode.

void SoTexture2Transform::doAction | ( | SoAction * | action | ) | `[virtual]`

| This function performs the typical operation of a node for any action. Reimplemented from SoNode.

void SoTexture2Transform::callback | ( | SoCallbackAction * | action | ) | `[virtual]`

| Action method for SoCallbackAction. Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph. Reimplemented from SoNode.

void SoTexture2Transform::GLRender | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Action method for the SoGLRenderAction. This is called during rendering traversals. Nodes influencing the rendering state in any way or who wants to throw geometry primitives at OpenGL overrides this method. Reimplemented from SoNode.

void SoTexture2Transform::getMatrix | ( | SoGetMatrixAction * | action | ) | `[virtual]`

| Action method for SoGetMatrixAction. Updates action by accumulating with the transformation matrix of this node (if any). Reimplemented from SoNode.

void SoTexture2Transform::pick | ( | SoPickAction * | action | ) | `[virtual]`

| Action method for SoPickAction. Does common processing for SoPickAction action instances. Reimplemented from SoNode.

## Member Data Documentation

SoSFVec2f SoTexture2Transform::translation

| Texture coordinate translation. Default value is [0, 0].

SoSFFloat SoTexture2Transform::rotation

| Texture coordinate rotation (around z-axis, s is x-axis and t is y-axis). Defaults to an identity rotation (ie zero rotation).

SoSFVec2f SoTexture2Transform::scaleFactor

| Texture coordinate scale factors. Default value is [1, 1].

SoSFVec2f SoTexture2Transform::center

| Center for scale and rotation. Default value is [0, 0].

The documentation for this class was generated from the following files:

- SoTexture2Transform.h
- SoTexture2Transform.cpp